Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ParamDict

All Known Implementing Classes:
  ParamDict

    public interface ParamDict

Version:
  $Id: ParamDict.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`boolean` | `containsKey(java.lang.String paramName)` Checks whether for the given parameter name an entry is stored.
`boolean` | `containsKey(java.lang.String paramName, int loopNr)` Checks whether for the given parameter name and a specific loop nr.
`boolean` | `containsParamArray(ParameterArray paramArray)` Checks whether the given object exists as a value in the dictionary.
`ParameterArray` | `get(java.lang.String paramName)`
`ParameterArray` | `get(java.lang.String paramName, int loopNr)`
`boolean` | `isLooped(java.lang.String paramName)`
`void` | `put(java.lang.String paramName, int loopNr, ParameterArray theParameter)`
`void` | `put(java.lang.String paramName, ParameterArray theParameter)` Add a parameter to the dictionary.
`boolean` | `removeParamArray(ParameterArray paramArray)` If the given object exists as a value in the dictionary, then this method removes it.
`void` | `replace(java.lang.String paramName, int loopNr, ParameterArray theParameter)` replaces the parameter of referenced by a specific name for a specific loop nr

Method Detail

### put

    void put(java.lang.String paramName,
             ParameterArray theParameter)
             throws M4Exception

  Add a parameter to the dictionary. For loopsteps the method with additional loopNr parameter has to be used.

  Parameters:
    `paramName` - the name of the parameter as found in table OP_PARAM_T
    `theParameter` - a ParameterArray object representing a parameter to be stored.
  Throws:
    `M4Exception`

### put

    void put(java.lang.String paramName,
             int loopNr,
             ParameterArray theParameter)
             throws M4Exception

  Throws:
    `M4Exception`
  See Also:
    `put(String, Object), just with the loop nr as an additional parameter`

### replace

    void replace(java.lang.String paramName,
                 int loopNr,
                 ParameterArray theParameter)
                 throws M4Exception

  replaces the parameter of referenced by a specific name for a specific loop nr

  Parameters:
    `paramName` - the name of the key - the parameter name
    `loopNr` - the loop nr
    `theParameter` - the new parameter value
  Throws:
    `M4Exception`

### containsKey

    boolean containsKey(java.lang.String paramName)

  Checks whether for the given parameter name an entry is stored. This method is independent of loopstep or not, in both cases any occurence will be noticed.

  Parameters:
    `paramName` - the name of the parameter

### containsKey

    boolean containsKey(java.lang.String paramName,
                        int loopNr)

  Checks whether for the given parameter name and a specific loop nr. a parameter is stored.

### containsParamArray

    boolean containsParamArray(ParameterArray paramArray)

  Checks whether the given object exists as a value in the dictionary.

  Parameters:
    `paramArray` - the object to check for
  Returns:
    `true` iff the object was found

### removeParamArray

    boolean removeParamArray(ParameterArray paramArray)

  If the given object exists as a value in the dictionary, then this method removes it.

  Parameters:
    `paramArray` - the object to remove
  Returns:
    `true` iff the object could be removed

### get

    ParameterArray get(java.lang.String paramName)
                       throws M4Exception

  Parameters:
    `paramName` - the name of the parameter to be looked up
  Returns:
    the parameter if stored, `null` otherwise. in case of loopsteps use the method `get(String, int)` instead.
  Throws:
    `M4Exception`

### get

    ParameterArray get(java.lang.String paramName,
                       int loopNr)

  Parameters:
    `paramName` - the name of the parameter to be looked up
    `loopNr` - the loop nr. for which to look up the parameter. Note that the first loopNr is "0", no matter if we have a looped parameter or not.
  Returns:
    the parameter if stored, `null` otherwise.

### isLooped

    boolean isLooped(java.lang.String paramName)

  Parameters:
    `paramName` - name of a parameter
  Returns:
    `true` iff the specified parameter is looped in the current step.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005